Pave Bank
Balance

Get Balance Summary

Retrieves the balance summary for the given account ID, can be filtered by date.

GET
/v1/balance/{accountID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

accountIDRequiredstring

Query Parameters

datestring

Response Body

Success response

assetRequiredstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

closing_balance_postedRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

closing_balance_spendableRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

closing_balance_totalRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

credit_pending_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

credit_pending_countsRequiredinteger
Format: "int64"
credit_pending_posted_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

credit_pending_posted_countsRequiredinteger
Format: "int64"
credit_pending_voided_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

credit_pending_voided_countsRequiredinteger
Format: "int64"
credit_posted_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

credit_posted_countsRequiredinteger
Format: "int64"
dateRequiredstring
Format: "date-time"
debit_pending_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

debit_pending_countsRequiredinteger
Format: "int64"
debit_pending_posted_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

debit_pending_posted_countsRequiredinteger
Format: "int64"
debit_pending_voided_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

debit_pending_voided_countsRequiredinteger
Format: "int64"
debit_posted_amountsRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

debit_posted_countsRequiredinteger
Format: "int64"
idRequiredstring

The ID of the recipient's account

opening_balance_postedRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

opening_balance_spendableRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

opening_balance_totalRequiredstring

The amount of money. Our API expect amount values to be in minor units - the smallest unit of a currency depending on the number of decimals. For example, USD has two decimals. So $10 is represented by 1000. JPY has no decimals, so ¥10 is 10.

curl -X GET "https://developer-api-staging.pavebank.dev/v1/balance/string?date=string" \
  -H "Authorization: Bearer <token>"
{
  "asset": "string",
  "closing_balance_posted": "string",
  "closing_balance_spendable": "string",
  "closing_balance_total": "string",
  "credit_pending_amounts": "string",
  "credit_pending_counts": 0,
  "credit_pending_posted_amounts": "string",
  "credit_pending_posted_counts": 0,
  "credit_pending_voided_amounts": "string",
  "credit_pending_voided_counts": 0,
  "credit_posted_amounts": "string",
  "credit_posted_counts": 0,
  "date": "2019-08-24T14:15:22Z",
  "debit_pending_amounts": "string",
  "debit_pending_counts": 0,
  "debit_pending_posted_amounts": "string",
  "debit_pending_posted_counts": 0,
  "debit_pending_voided_amounts": "string",
  "debit_pending_voided_counts": 0,
  "debit_posted_amounts": "string",
  "debit_posted_counts": 0,
  "id": "string",
  "opening_balance_posted": "string",
  "opening_balance_spendable": "string",
  "opening_balance_total": "string"
}